Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.search
Class ContextSearchSpecification

    java.lang.Object

      |

      +--oracle.ifs.search.SearchSpecification

            |

            +--oracle.ifs.search.AttributeSearchSpecification

                  |

                  +--oracle.ifs.search.ContextSearchSpecification

All Implemented Interfaces:
  java.lang.Cloneable, java.io.Serializable

public class ContextSearchSpecification
extends AttributeSearchSpecification

A ContextSearchSpecification represents a Search on both Attributes and Content. The SearchQualification (SearchTree) of a ContextSearchSpecification should have at least one ContextQualification.

The user must also specify the Class on which the ContextQualifications are to be applied.

The user can also specify the Media on which the Text Queries are to be performed. If the Media are not specified, the Searched Media are determined by the Policy on the Searched Class.

The Text Query of each ContextQualification is applied on each Media. The result will contain entries from all the Media. The Media rows will be joined with the ContextClass, so that only the Content of objects in the ContextClass is considered. Otherwise, there is nothing special about what is returned by a Context Search. For every result row, the conditions defined by the SearchTree must hold.

See Also:
  Serialized Form

Constructor Summary
`ContextSearchSpecification()`

Method Summary
`java.lang.String` | `getContextClassname()` Gets the Context Search Class name.
`oracle.ifs.beans.Media[]` | `getMedia(LibrarySession sess)` Returns the set of Media objects, which will be searched over.
`void` | `setContextClassname(java.lang.String cn)` Set the Class to be used for Text Queries.
`void` | `setMedia(oracle.ifs.beans.Media[] media)` Explicitly sets the Media to search over.

Methods inherited from class oracle.ifs.search.AttributeSearchSpecification
`getSearchClassSpecification, getSearchQualification, getSearchSortSpecification, setSearchClassSpecification, setSearchQualification, setSearchSortSpecification`

Constructor Detail

### ContextSearchSpecification

    public ContextSearchSpecification()

Method Detail

### setMedia

    public void setMedia(oracle.ifs.beans.Media[] media)
                  throws IfsException

  Explicitly sets the Media to search over.
  Parameters:
    `media` - list of media objects
  Throws:
    `IfsException` - if media are invalid.

### getMedia

    public oracle.ifs.beans.Media[] getMedia(LibrarySession sess)
                                      throws IfsException

  Returns the set of Media objects, which will be searched over. If media are not set explicitly, returns null.
  Parameters:
    `sess` - Session used to find Media objects.
  Returns:
    list of Media objects.
  Throws:
    `IfsException` - if operation fails

### setContextClassname

    public void setContextClassname(java.lang.String cn)
                             throws IfsException

  Set the Class to be used for Text Queries. The class should be a subClass of ContentObject.
  Parameters:
    `cn` - Text Queries in ContextQualifications are applied on the content of objects of this class.
  Throws:
    `IfsException` - if the operation fails

### getContextClassname

    public java.lang.String getContextClassname()
                                         throws IfsException

  Gets the Context Search Class name.
  Returns:
    Context Search Class.
  Throws:
    `IfsException` - if the operation fails

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD